nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::analytics::IEngineInfo Class Referenceabstract

`#include <i_engine_info.h>`

Inheritance diagram for nx::sdk::analytics::IEngineInfo:

## Public Member Functions
virtual const char * | id () const =0
virtual const char * | name () const =0
Public Member Functions inherited from nx::sdk::Interface< IEngineInfo >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IEngineInfo >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Detailed Description

Provides various information about an Engine.

## Member Function Documentation

## ◆ id()

virtual const char* nx::sdk::analytics::IEngineInfo::id | ( |  | ) | const
| pure virtual

Returns
  Id assigned to this Engine by the Server.

## ◆ name()

virtual const char* nx::sdk::analytics::IEngineInfo::name | ( |  | ) | const
| pure virtual

Returns
  Name assigned to this Engine by the Server or by the user.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_engine_info.h